package com.crm.web.dao.repository;

import com.crm.rely.backend.dao.repository.BaseRepository;
import com.crm.rely.backend.model.pojo.table.WebCustomAnalysisTable;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;
import java.util.List;

@Repository
public interface WebCustomAnalysisRepository extends BaseRepository<WebCustomAnalysisTable> {

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    WebCustomAnalysisTable findFirstById(Long id);

    WebCustomAnalysisTable getFirstById(Long id);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    List<WebCustomAnalysisTable> findAllByIdIn(List<Long> ids);

    List<WebCustomAnalysisTable> getAllByIdNotIn(List<Long> ids);
}
